<template>

	<fullscreen :fullscreen.sync="fullscreen" class="container">
		<div class="container-box">
			<toolList @iconCli='iconCli' :tooltit='tooltit'></toolList>
			<!-- 以前的'添加'按钮权限 -->
			<!-- <div style="overflow: hidden;margin: 10px 0;" v-if="exa"> -->
			<div style="overflow: hidden;margin: 10px 0;" v-if="userInfo.loginNoStr == 'zhangyuchen'">
				<el-button class="btn-check" style="float: right;" size="medium" type="primary" @click="dialogCheck(2)">
					添加
				</el-button>
			</div>
			<div class="tabbox">
				<el-table height="calc(100% - 40px)" class="com-table" ref="multipleTable" :data="tableData"
					tooltip-effect="dark" size="small" border style="width: 100%" v-loading="loading">
					<el-table-column prop="deployName" label="清单表名称">
					</el-table-column>
					<el-table-column prop="opName" label="创建姓名">
					</el-table-column>
					<el-table-column prop="opNo" label="创建工号">
					</el-table-column>
					<el-table-column prop="opTime" label="创建时间">
					</el-table-column>
					<el-table-column label="操作" width="160px" align="center">
						<template slot-scope="scope">
							<el-button size="mini" type="primary" @click="dialogCheck(1,scope.row)">查看</el-button>
						</template>
					</el-table-column>
				</el-table>
				<el-pagination class="pageBox" @current-change="currchange" layout="prev, pager, next" background
					:total="total">
				</el-pagination>
			</div>
		</div>
	</fullscreen>

</template>
<script>
	import mySearch from "../../../components/search.vue";
	import myUpload from '../../../components/upload'
	import uploadDown from '../../../components/uploadDown'
	import myMessage from "../../../components/myMessage.vue"
	import toolList from '../../../components/toolList'

	export default {
		components: {
			mySearch,
			myUpload,
			uploadDown,
			myMessage,
			toolList
		},
		data() {
			return {
				tooltit: '会议部署工作清单',
				fullscreen: false,
				total: 0,
				pageSize: 1,
				tableData: [{}],
				dialogStatus: false,
				disableStatus: false,
				titname: '',
				infolist: {},
				userInfo: {},
				params: {},
				centerDialogVisible: false,
				messTit: '',
				delid: '',
				loading: false,
				loadinged: false,
				// exa: false
			}
		},
		methods: {
			//获取列表
			getList(v, n) {
				this.pageSize = n;
				let _this = this;
				this.loading = true;
				this.tableData = [];
				this.$http({
					url: "/market/busiDeploy/queryPage",
					method: "post",
					headers: {
						"Content-Type": "application/json",
						"page": '{"pageNo":"' + n + '","pageSize":"10"}'
					},
					data: v,
				}).then((res) => {
					console.log(res)
					this.tableData = res.data.data;
					this.total = res.data.totalRecord;
					this.loading = false;
				});
			},
			// 分页
			currchange(v) {
				this.pageSize = v;
				this.getList(this.params, this.pageSize);
			},
			//申请
			dialogCheck(v, n) {
				if (v == 1) {
					this.$router.push({
						path: '/checkclubwork?id=' + n.id,
					});
					this.setabList('会议部署工作清单', '/checkclubwork?id=' + n.id);
				} else {
					this.$router.push({
						path: '/checkclubwork',
					});
					this.setabList('会议部署工作清单', '/checkclubwork');
				}
			},
			setabList(n, p) {
				let params = {
					children: "",
					name: n,
					rountPath: p,
					target: "_self",
				};
				for (let i = 0; i < this.$store.state.tabList.length; i++) {
					if (this.$store.state.tabList[i].name === params.name) {
						this.$store.state.tabList[i] = params;
					}
				}
				let set = new Set([...this.$store.state.tabList, params]);
				set.add(params);
				this.$store.commit("setDefaultActive", params.rountPath);
				this.$store.commit("setTabList", Array.from(set));
			},
			//功能栏
			iconCli(v) {
				if (v === 1) {
					this.getList(this.params, this.pageSize);
				}
				if (v === 2) {
					this.fullscreen = !this.fullscreen
				}
			},
			//以前的'添加'按钮权限
			// ctrlbtn() {
				
			// 	let menus = JSON.parse(window.sessionStorage.childrenMenus);
			// 	for (let i = 0; i < menus.length; i++) {
			// 		if (menus[i].jspUrl === '/ecClubWorkexa' && menus[i].systemflag === '1') {
			// 			this.exa = true;
			// 			return
			// 		}
			// 	}
			// },
			getUser() {
				//以前的'添加'按钮权限
				// let menus = JSON.parse(window.sessionStorage.menus);
				// this.ctrlbtn(menus);

				this.userInfo = JSON.parse(window.sessionStorage.userInfo);
				this.infolist = {
					opNo: '',
					opName: '',
				};
				this.infolist.opNo = this.userInfo.loginNo;
				this.infolist.opName = this.userInfo.loginName;

			}
		},
		mounted() {
			this.getList({}, 1);
			this.getUser();
		},
		created() {

		}
	}
</script>
<style scoped lang="scss">
	.onetab {
		margin-bottom: 20px;
		padding: 0 20px;
	}

	.titbox {
		div {
			float: right;

			i {
				font-size: 22px;
				margin-left: 20px;
				cursor: pointer;
			}
		}
	}

	.tabbox {
		margin-top: 15px;
	}

	.pageBox {
		text-align: right;
		margin-top: 10px;
	}

	.info-line {
		width: 100%;
		display: block;
		padding-left: 20px;

		div {
			width: 50%;
			display: inline-block;
		}

		span {
			width: 80px;
			display: inline-block;
			text-align: left;

			i {
				color: red;
				display: inline-block;
				padding-right: 5px;
			}
		}

		.el-select,
		.el-input {
			width: calc(100% - 100px);
		}
	}

	.online {
		width: 100%;

		.el-select {
			width: calc(100% - 100px);
		}

		span {
			vertical-align: top;
		}

		.el-textarea {
			width: calc(100% - 100px);
		}
	}
</style>
